Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Variables
access.hpp File Reference

## Typedefs
template<typename Rng >
using | ranges::iterator_t = decltype(begin(std::declval< Rng & >()))
template<typename Rng >
using | ranges::sentinel_t = decltype(end(std::declval< Rng & >()))

## Variables
template<typename T >
constexpr bool | ranges::detail::_borrowed_range
template<typename T >
constexpr bool | ranges::detail::_borrowed_range< T & > = true
constexpr _begin_::fn | ranges::begin {}
constexpr _cbegin_::fn | ranges::cbegin {}
constexpr _cend_::fn | ranges::cend {}
constexpr _crbegin_::fn | ranges::crbegin {}
constexpr _crend_::fn | ranges::crend {}
constexpr _end_::fn | ranges::end {}
constexpr _rbegin_::fn | ranges::rbegin {}
constexpr _rend_::fn | ranges::rend {}

## Variable Documentation

## ◆ _borrowed_range

template<typename T >

constexpr bool ranges::detail::_borrowed_range
| constexpr

Initial value:
=
enable_borrowed_range<uncvref_t<T>>